/*
 * osa_demo1.c
 *
 * Created: 2015/1/13 22:16:34
 *  Author: szy
 */ 

#define F_CPU 8000000L

#include <osa.h>

#include <avr/io.h>
#include <avr/interrupt.h>


void init()
{
	// IO
	DDRB = (1<<PB5);
	
	// Timer
	OCR1A = F_CPU/(8*100);              // 10ms
	TCNT1 = 0;
	TCCR1A = 0;
	TCCR1B = (1<<WGM12)|(1<<CS11);      // clk/8
	TIMSK1 = (1<<OCIE1A);               // enable TIMER1 OC1A interrupt

}

ISR(TIMER1_COMPA_vect)
{
	OS_Timer();
}

void task()
{
	while(1)
	{
		OS_Delay(100);                    // Delay
		PORTB ^= (1<<PB5);                // blink led
	}
}

int main(void)
{
	init();
	OS_Init();                          // Init OS
	OS_Task_Create(0, task);            // Create tasks.

	OS_EI();                            // Enable interrupts
	OS_Run();                           // Running scheduler
	
    while(1)
    {
        //TODO:: Please write your application code 
    }
}